---
title: WebGLRenderingContext.deleteBuffer()
slug: Web/API/WebGLRenderingContext/deleteBuffer
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.deleteBuffer()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> deletes a given {{domxref("WebGLBuffer")}}. This method has no effect if the buffer has already been deleted.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.deleteBuffer(<var>buffer</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>buffer</dt>
 <dd>A {{domxref("WebGLBuffer")}} object to delete.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Deleting_a_buffer">Deleting a buffer</h3>

<pre class="brush: js">var canvas = document.getElementById('canvas');
var gl = canvas.getContext('webgl');
var buffer = gl.createBuffer();

// ...

gl.deleteBuffer(buffer);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.5", "deleteBuffer")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glDeleteBuffers.xml", "glDeleteBuffers")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.deleteBuffer")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.bindBuffer()")}}</li>
 <li>{{domxref("WebGLRenderingContext.createBuffer()")}}</li>
 <li>{{domxref("WebGLRenderingContext.isBuffer()")}}</li>
 <li>Other buffers: {{domxref("WebGLFramebuffer")}}, {{domxref("WebGLRenderbuffer")}}</li>
</ul>
